#ifndef CLAN_HPP_INCLUDED
#define CLAN_HPP_INCLUDED

#include "../../../Core/Classes/ClanMember.hpp"
#include <functional>
#include <vector>

/** @addtogroup GameTabs
* @{ */
class Clan
{
    public:
        static bool IsOpen();
        static bool Open();
        static std::vector<Internal::ClanMember> GetAll();
        static std::vector<Internal::ClanMember> GetAll(const std::function<bool (Internal::ClanMember&)>& Filter);
};

/** @} */

#endif // CLAN_HPP_INCLUDED
